/*
 * Copyright 2005-2009 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package jatva.tracer.messages;

import jatva.lang.synchronization.TestManager;

public class StaticInvariantEnterMessage extends InvariantStartMessage
{
    private String p_class;

    public StaticInvariantEnterMessage( TestManager registrar
                                     , String p_class
                                     , String name
                                     , String msg
                                     )
    {
        super( registrar, name, msg );
        this.p_class = p_class;
    }

    @Override
    protected StringBuffer format()
    { return tracer.formatInvariantStart( registrar, p_class, name, msg ); }
}
