/*
 * Copyright 2005-2009 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package jatva.lang;

public class UserTestException extends TestException {

	public UserTestException(String info, boolean isCritical) {
		super(info, new Exception(), isCritical, new String[] {"User Exception"}, new String[] {info});
	}
	
	// Not critical by default
	public UserTestException(String info) {
		super(info, new Exception(), false, new String[] {"User Exception"}, new String[] {info});
	}

}
